Package org.apache.sling.distribution.journal.bookkeeper

## Class PackageRetries

- java.lang.Object
- - org.apache.sling.distribution.journal.bookkeeper.PackageRetries

    @ParametersAreNonnullByDefault
    public class PackageRetries
    extends Object

Holds package retries by agent name

### Constructor Summary

Constructors
`PackageRetries()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear​(String pubAgentName)`
`int` `get​(String pubAgentName)`
`int` `getSum()`
`void` `increase​(String pubAgentName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageRetries

    public PackageRetries()

### Method Detail

#### increase

    public void increase​(String pubAgentName)

#### clear

    public void clear​(String pubAgentName)

#### get

    public int get​(String pubAgentName)

#### getSum

    public int getSum()